package com.keao.edu.user.dto;

import com.keao.edu.user.entity.ExamRegistration;
import io.swagger.annotations.ApiModelProperty;

public class ExamRegistrationDto extends ExamRegistration {

    @ApiModelProperty(value = "学员姓名")
    private String studentName;

    @ApiModelProperty(value = "考试项目")
    private String examBaseName;

    @ApiModelProperty(value = "考试专业")
    private String subjectName;

    @ApiModelProperty(value = "报名开始时间")
    private String enrollStartTime;

    @ApiModelProperty(value = "报名结束时间")
    private String enrollEndTime;

    @ApiModelProperty(value = "预计考试开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "预计考试结束时间")
    private String examEndTime;

    public String getExamBaseName() {
        return examBaseName;
    }

    public void setExamBaseName(String examBaseName) {
        this.examBaseName = examBaseName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getEnrollStartTime() {
        return enrollStartTime;
    }

    public void setEnrollStartTime(String enrollStartTime) {
        this.enrollStartTime = enrollStartTime;
    }

    public String getEnrollEndTime() {
        return enrollEndTime;
    }

    public void setEnrollEndTime(String enrollEndTime) {
        this.enrollEndTime = enrollEndTime;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }
}
